Update parcel_on_chain
PUT /obp/dynamic-entity/parcel_on_chain/PARCEL_ON_CHAIN_ID
OBPv4.0.0-dynamicEntity_updateparcel_on_chain_ Roles: CanUpdateDynamicEntityRecord_parcel_on_chain(per bank) _Parcel_on_chainDynamic-EntityDynamic
Update parcel_on_chain.
For data from the block chain about about parcels. This Dynamic Entity is part of OGCR.
Property List:
- parcel_id: Links to the
parceldynamic entity. The on-chain NFT is keyed by this id. - token_id: CarbonProjectNFT token id minted for this parcel.
- carbon_amount: Carbon amount stored on-chain for this token.
- project_type: Project type as stored on-chain.
- methodology: Methodology as stored on-chain.
- vintage: Vintage year as stored on-chain.
- minted_at: On-chain block timestamp (mintedAt) from projectData, unix seconds.
- owner_address: Current owner of the NFT (operator OGCR wallet address).
- token_uri: tokenURI of the NFT (ERC721 metadata data-URI).
- contract_address: CarbonProjectNFT contract address the token was read from.
- chain_id: EVM chain id (OGCR chain = 2025).
- tx_hash: Mint transaction hash (from the CarbonProjectMinted
- block_number: Block number the mint was included in.
MethodRouting settings example:
<details>
{
"is_bank_id_exact_match":false,
"method_name":"dynamicEntityProcess",
"connector_name":"rest_vMar2019",
"bank_id_pattern":".*",
"parameters":[
{
"key":"entityName",
"value":"parcel_on_chain"
}
{
"key":"url",
"value":"http://mydomain.com/xxx"
}
]
}
</details>
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example request body
{
"parcel_id": "string",
"token_id": "parcel_AB12CD34EF",
"carbon_amount": 1,
"project_type": "carbon_farming",
"methodology": "SALUS v1.0",
"vintage": "2024",
"minted_at": 1779280448,
"owner_address": "0x30753E4A8aad7F8597332E813735Def5dD395028",
"token_uri": "data:application/json;base64,eyJuYW1lIjoiQ2FyYm9uIn0=",
"contract_address": "0xeec918d74c746167564401103096D45BbD494B74",
"chain_id": 2025,
"tx_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
"block_number": 12345
}Example success response
{
"parcel_on_chain": {
"parcel_on_chain_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
"parcel_id": "string",
"token_id": "parcel_AB12CD34EF",
"carbon_amount": 1,
"project_type": "carbon_farming",
"methodology": "SALUS v1.0",
"vintage": "2024",
"minted_at": 1779280448,
"owner_address": "0x30753E4A8aad7F8597332E813735Def5dD395028",
"token_uri": "data:application/json;base64,eyJuYW1lIjoiQ2FyYm9uIn0=",
"contract_address": "0xeec918d74c746167564401103096D45BbD494B74",
"chain_id": 2025,
"tx_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
"block_number": 12345
}
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.